#ifndef __UART2_H
#define __UART2_H

//
// Simple UART2 interface for dsPIC30F6014
// Juha Niinikoski, OH2NLT 27.10.2008
//

// module function definitions

extern void InitUSART2(unsigned long);
extern void putch2(unsigned char);
extern void putst2(unsigned char *);
extern void putchhex2(unsigned char);

extern int kbhit2(void);
extern void ClearUSART2queue(void);
extern unsigned char getch2(void);
extern unsigned char getche2(void);

extern unsigned long getlong2(void);
extern void putlong2(unsigned long);

#endif
