#ifndef __DATALOG_H
#define __DATALOG_H

//
// Data logger module
// OH2NLT / Juha Niinikoski 28.03.2009
//

// module function definitions

extern void log_data(int, int, int);	// rpm, kpa, adv

extern void print_logged_single_sample_data(void);
extern void print_logged_average_data(void);
extern void print_logged_single_samples(void);

extern void clear_logged_data(void);

#endif
