#ifndef __TIMERS_PWM_H
#define __TIMERS_PWM_H

/*

 Sparc Engine

 OH2NLT / Juha Niinikoski 26.03.2008


*/
// glomal variables

// timing
extern volatile unsigned int ms_ctr;				// free running mod 65536 ms counter
extern volatile unsigned int ms_10_ctr;				// free running 65536 10ms counter
extern volatile unsigned int seconds;				// free running mod 65536 second counter

// Tachometer
extern volatile int tacho_gate;						// Tachometer gating timer
extern volatile unsigned int tacho;					// Tacho output RPM
extern volatile int tacho_ready;					// measurement ready


// functions
extern void init_timers_int_system(void);			// init timer & interrupt system

#endif
